Bug 521304 - Fix instances of #!/usr/bin/env python in python-imaging-devel
Summary: Fix instances of #!/usr/bin/env python in python-imaging-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-imaging
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Roman Rakus
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-04 17:01 UTC by Chris Williams
Modified: 2018-11-14 20:33 UTC (History)
6 users (show)

Fixed In Version: python-imaging-1.1.5-7.el5
Doc Type: Bug Fix
Doc Text:
The shebang lines in Python executables have been changed to "#!/usr/bin/python" to ensure the Python interpreter installed in the system is used.
Clone Of:
Environment:
Last Closed: 2011-02-09 13:05:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0205 normal SHIPPED_LIVE python-imaging bug fix update 2011-02-09 13:05:41 UTC

Description Chris Williams 2009-09-04 17:01:11 UTC
here's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, python-imaging-devel in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python

Comment 2 RHEL Product and Program Management 2009-09-23 12:01:32 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 9 Roman Rakus 2011-02-07 14:39:57 UTC
Fixed in python-imaging-1.1.5-7.el5

Comment 11 Jaromir Hradilek 2011-02-07 15:38:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The shebang lines in Python executables have been changed to "#!/usr/bin/python" to ensure the Python interpreter installed in the system is used.

Comment 12 Alexander Todorov 2011-02-08 08:07:02 UTC
The only files containing "/usr/bin/env python" that I found are from the python-imaging-devel package:

# rpm -ql  python-imaging-devel | xargs grep "/usr/bin/env"
/usr/share/doc/python-imaging-devel-1.1.5/Sane/demo_numarray.py:#!/usr/bin/env python
/usr/share/doc/python-imaging-devel-1.1.5/Sane/demo_pil.py:#!/usr/bin/env python
/usr/share/doc/python-imaging-devel-1.1.5/Scripts/pildriver.py:#!/usr/bin/env python


With python-imaging-devel-1.1.5-7.el5:
# rpm -ql  python-imaging-devel | xargs grep "/usr/bin/env" 


Moving to VERIFIED.

Comment 13 errata-xmlrpc 2011-02-09 13:05:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0205.html


Note You need to log in before you can comment on or make changes to this bug.